// 001 u_zzz
// 04 mar 00

(*$r+*)

unit u_fmx_object;
  interface
    uses Fmx.Types
        ;

    function f_object_stream_string(p_c_fmx_object: tFmxObject): String;
    function f_c_name_to_fmx_component(p_component_name: String;
        p_c_owner: tFmxObject): tFmxObject;

  implementation
    uses Classes
        //, u_display
        ;

    function f_object_stream_string(p_c_fmx_object: tFmxObject): String;
      var l_c_string_stream: tStringStream;
      begin
        l_c_string_stream:= tStringStream.Create;
        p_c_fmx_object.SaveToStream(l_c_string_stream);
        Result:= l_c_string_stream.DataString;
        l_c_string_stream.Free;
      end; // f_object_stream_string

    function f_c_name_to_fmx_component(p_component_name: String;
        p_c_owner: tFmxObject): tFmxObject;
      var l_c_object_class_ref: TFmxObjectClass;
      begin
        Result:= Nil;

        l_c_object_class_ref:= TFmxObjectClass(GetClass(p_component_name));
        if l_c_object_class_ref<> Nil
          then begin
              Result:= l_c_object_class_ref.Create(p_c_owner);
            end;
      end; // f_c_name_to_fmx_component


    begin // u_zzz
    end. // u_zzz
